//
//  iTranslatorViewController.m
//  iTranslator
//
//  Created by Jason Taylor on 01/09/2010.
//  Copyright Bongo LLP 2010. All rights reserved.
//

#import "iTranslatorViewController.h"

@implementation iTranslatorViewController

@synthesize phrasePicker;
@synthesize translation;

//method for UIPickerViewDataSource
- (NSInteger)numberOfComponentsInPickerView:(UIPickerView *)pickerView{
	return 1;
}

- (NSInteger)pickerView:(UIPickerView *)pickerView numberOfRowsInComponent:(NSInteger)component{
	return phrases.count;
}

//method for UIPickerViewDelegate
- (NSString *)pickerView:(UIPickerView *)pickerView titleForRow:(NSInteger)row forComponent:(NSInteger)component{
	return [phrases objectAtIndex:row];
}

//method for responding to row selection
- (void)pickerView:(UIPickerView *)pickerView didSelectRow:(NSInteger)row inComponent:(NSInteger)component{
	NSString *newphrase;
	
	switch (row) {
		case 0:
			newphrase = @"Bonjour!";
			break;
		case 1:
			newphrase = @"Bonsoir!";
			break;
		case 2:
			newphrase = @"Parlez-vous anglais?";
			break;
		case 3:
			newphrase = @"Je parle un peu le français.";
			break;
		case 4:
			newphrase = @"Bon appetit!";
			break;
		case 5:
			newphrase = @"Où sont les toilettes, s'il vous plait?";
			break;
		case 6:
			newphrase = @"Je voudrais achiever…";
			break;
		case 7:
			newphrase = @"Quel est le prix, s'il vous plait?";
			break;
		case 8:
			newphrase = @"Pouvez-vous m'aider s'il vous plaît?";
			break;
		case 9:
			newphrase = @"Merci beaucoup!";
			break;
		default:
			newphrase = @"French Phrase Not Found";
			break;
	}
	[translation setText:newphrase];
	[newphrase release];
}


/*
// The designated initializer. Override to perform setup that is required before the view is loaded.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if (self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil]) {
        // Custom initialization
    }
    return self;
}
*/

/*
// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)loadView {
}
*/



// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
	phrases = [[NSArray alloc] initWithObjects:
			   @"Hello",@"Good evening",@"Do you speak English?",@"I only speak a little French.",@"Good appetite!",@"Where is the bathroom?",
			   @"I'd like to buy...",@"How much is this please?",@"Can you help me please?",@"Thanks a lot!", nil];
	
	[translation setText:@"Bonjour!"];
	
    [super viewDidLoad];
}



/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc {
    [super dealloc];
}

@end
